function singleFolderAtkLeapComp


DBpath = uigetdir;
DBinfo = dir(DBpath);
filenames = extractfield(DBinfo(3:end),'name');

nAudio = length(filenames);


mkdir(DBpath,'mirPar');

%% MFCC

attackLeapCell = cell(nAudio,1);

for n = 1:nAudio
    currentFile = filenames{n};  
    filename = [DBpath,'\',currentFile]; 
    
    a = miraudio(filename,'Mono',1);
   
    attackLeap = mirgetdata(mirattackleap(a));
    attackLeapCell{n,1} = attackLeap;
    
end
savepathMIR = [DBpath,'\mirPar\attackLeapCell.mat'];
save(savepathMIR,'attackLeapCell');

clearvars attackLeapCell
      
end

